Package org.apache.commons.compress.archivers.dump

# Class DumpArchiveConstants

java.lang.Object
org.apache.commons.compress.archivers.dump.DumpArchiveConstants

public final class DumpArchiveConstants extends Object
Various constants associated with dump archives.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DumpArchiveConstants.COMPRESSION_TYPE`
  Enumerates compression types.
  `static enum`
  `DumpArchiveConstants.SEGMENT_TYPE`
  Enumerates the types of tape segment.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHECKSUM`
  CHECKSUM value 84446.
  `static final int`
  `FS_UFS2_MAGIC`
  FS_UFS2_MAGIC value 424935705.
  `static final int`
  `HIGH_DENSITY_NTREC`
  HIGH_DENSITY_NTREC value 32.
  `static final int`
  `LBLSIZE`
  LBLSIZE value 16.
  `static final int`
  `NAMELEN`
  NAMELEN value 64.
  `static final int`
  `NFS_MAGIC`
  NFS_MAGIC value 60012.
  `static final int`
  `NTREC`
  NTREC value 10.
  `static final int`
  `OFS_MAGIC`
  OFS_MAGIC value 60011.
  `static final int`
  `TP_SIZE`
  TP_SIZE value 1024.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TP_SIZE

    public static final int TP_SIZE
    TP_SIZE value 1024.
    See Also:
      - Constant Field Values

  - ### NTREC

    public static final int NTREC
    NTREC value 10.
    See Also:
      - Constant Field Values

  - ### HIGH_DENSITY_NTREC

    public static final int HIGH_DENSITY_NTREC
    HIGH_DENSITY_NTREC value 32.
    See Also:
      - Constant Field Values

  - ### OFS_MAGIC

    public static final int OFS_MAGIC
    OFS_MAGIC value 60011.
    See Also:
      - Constant Field Values

  - ### NFS_MAGIC

    public static final int NFS_MAGIC
    NFS_MAGIC value 60012.
    See Also:
      - Constant Field Values

  - ### FS_UFS2_MAGIC

    public static final int FS_UFS2_MAGIC
    FS_UFS2_MAGIC value 424935705.
    See Also:
      - Constant Field Values

  - ### CHECKSUM

    public static final int CHECKSUM
    CHECKSUM value 84446.
    See Also:
      - Constant Field Values

  - ### LBLSIZE

    public static final int LBLSIZE
    LBLSIZE value 16.
    See Also:
      - Constant Field Values

  - ### NAMELEN

    public static final int NAMELEN
    NAMELEN value 64.
    See Also:
      - Constant Field Values